aboutsummaryrefslogtreecommitdiffstats
path: root/main/scrnsaverproto
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/scrnsaverproto
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/scrnsaverproto')
-rw-r--r--main/scrnsaverproto/APKBUILD21
1 files changed, 21 insertions, 0 deletions
diff --git a/main/scrnsaverproto/APKBUILD b/main/scrnsaverproto/APKBUILD
new file mode 100644
index 0000000000..292827d0ce
--- /dev/null
+++ b/main/scrnsaverproto/APKBUILD
@@ -0,0 +1,21 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=scrnsaverproto
+pkgver=1.2.0
+pkgrel=0
+pkgdesc="X11 Screen Saver extension wire protocol"
+url="http://xorg.freedesktop.org/"
+license="custom"
+depends=""
+makedepends=""
+source="http://xorg.freedesktop.org//releases/individual/proto/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -m755 -d "$pkgdir"/usr/share/licenses/$pkgname
+ install -m644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/ || return 1
+}
+md5sums="9040c991a56ee9b5976936f8c65d5c8a scrnsaverproto-1.2.0.tar.bz2"